# Evaluation

As a final step to your synthetic data project, you can evaluate and visualize the synthetic data against the real data.

```python
from sdv.evaluation.single_table import run_diagnostic, evaluate_quality
from sdv.evaluation.single_table import get_column_plot

# 1. perform basic validity checks
diagnostic = run_diagnostic(real_data, synthetic_data, metadata)

# 2. measure the statistical similarity
quality_report = evaluate_quality(real_data, synthetic_data, metadata)

# 3. plot the data
fig = get_column_plot(
    real_data=real_data,
    synthetic_data=synthetic_data,
    metadata=metadata,
    column_name='amenities_fee'
)
    
fig.show()
```

Explore the functionality in more detail below.

<table data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="evaluation/diagnostic"><strong>Diagnostic</strong></a></td><td>Perform basic checks to ensure the synthetic data is valid.</td></tr><tr><td><a href="evaluation/data-quality"><strong>Data Quality</strong></a></td><td>Compare the real and synthetic data's statistical similarity.</td></tr><tr><td><a href="evaluation/visualization"><strong>Visualization</strong></a></td><td>Visualize the real and synthetic data side-by-side</td></tr></tbody></table>

## Need more evaluation options?

{% hint style="success" %}
**See the** [**SDMetrics library**](https://docs.sdv.dev/sdmetrics/)**.**

This library includes many more metrics (some experimental) that you can apply based on your goals. All you need is your real data, synthetic data and metadata to get started.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sdv.dev/sdv/single-table-data/evaluation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
